<!doctype html>
<html lang="es">

<head>
    <meta charset='utf-8'>
    <title>Estilos: Fondos</title>
    <link rel='stylesheet' href='css/style.css'>
    <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


    <article class='reveal'>

        <section data-bespoke-state='portada'>
            <h1>Estilos: Fondos</h1>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background-image</span></h2>
            <ul class="lista">
                <li>Permite mostrar imágenes y gradientes</li>
                <li>Se muestran sobre el color de fondo</li>
                <li>Valores:
                    <ul>
                        <li><span class="valor-css">url('direccion')</span></li>
                        <li><span class="valor-css">linear-gradient((direccion), color1 (tamaño1), color2...)</span>, gradiente lineal (<a href="https://lenguajecss.com/css/colores-y-fondos/linear-gradient/">Más información</a></li>
                        <li><span class="valor-css">radial-gradient()((forma), color1 (tamaño1), color2...)</span>, gradiente en forma de círculo (<a href="https://lenguajecss.com/css/colores-y-fondos/radial-gradient/">Más información</a></li>
                        <li><span class="valor-css">conic-gradient((ángulo), color1 (tamaño1), color2...)</span>, cono visto desde arriba (<a href="https://lenguajecss.com/css/colores-y-fondos/conic-gradient/">Más información</a></li>
                    </ul>
                </li>
            </ul>
        </section>

        <section data-bespoke-state='clean'>
            <h2><a href="ejemplos/p22_background_image.html" target="_blank">Ejemplos</a></h2>
            <iframe src="ejemplos/p22_background_image.html" style="height: 95%; width: 800px;"></iframe>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background-repeat</span></h2>
            <ul class="lista">
                <li>Establece si se repite la imagen y hacia donde</li>
                <li>Valores:
                    <ul>
                        <li><span class="valor-css">no-repeat</span>, no repite la imagen</li>
                        <li><span class="valor-css">repeat-x</span>, repite la imagen en horizontal</li>
                        <li><span class="valor-css">repeat-y</span>, repite la imagen en vertical</li>
                        <li><span class="valor-css"><strong>repeat</strong></span>, repite la imagen en ambas direcciones (por defecto)</li>
                    </ul>
                </li>
            </ul>
        </section>

        <section data-bespoke-state='clean'>
            <h2><a href="ejemplos/p22_background_repeat.html" target="_blank">Ejemplos</a></h2>
            <iframe src="ejemplos/p22_background_repeat.html" style="height: 95%; width: 800px;"></iframe>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background-size</span></h2>
            <ul class="lista">
                <li>Establece si se repite la imagen y hacia donde</li>
                <li>Valores:
                    <ul>
                        <li><span class="valor-css"><strong>auto</strong></span>, conserva el tamaño de la imagen (por defecto)</li>
                        <li><span class="valor-css">unidad de medida</span>, dos valores, horizontal y vertical</li>
                        <li><span class="valor-css">contain</span>, adapta el tamaño a la altura del contenido</li>
                        <li><span class="valor-css">cover</span>, adapta el tamaño al ancho del contenido</li>
                    </ul>
                </li>
            </ul>
        </section>

        <section data-bespoke-state='clean'>
            <h2><a href="ejemplos/p22_background_size.html" target="_blank">Ejemplos</a></h2>
            <iframe src="ejemplos/p22_background_size.html" style="height: 95%; width: 800px;"></iframe>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background-position</span></h2>
            <ul class="lista">
                <li>Establece donde colocar la imagen</li>
                <li>Valores:
                    <ul>
                        <li><span class="valor-css">unidad de medida</span></li>
                        <li>Valores posibles en horizontal:
                            <ul>
                                <li><span class="valor-css">left</span>,<span class="valor-css">center</span>,<span class="valor-css">right</span></li>
                            </ul>
                        </li>
                        <li>Valores posibles en vertical:
                            <ul>
                                <li><span class="valor-css">top</span>,<span class="valor-css">center</span>,<span class="valor-css">bottom</span></li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li>Primer valor eje horizontal y segundo vertical</li>
                <li>Si solo se aporta un valor al vertical le asigna <span class="valor-css">50%</span></li>
            </ul>
        </section>

        <section data-bespoke-state='clean'>
            <h2><a href="ejemplos/p22_background_position.html" target="_blank">Ejemplos</a></h2>
            <iframe src="ejemplos/p22_background_position.html" style="height: 95%; width: 800px;"></iframe>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background-clip</span></h2>
            <ul class="lista">
                <li>Establece la zona donde aparecerá el fondo</li>
                <li>Valores:
                    <ul>
                        <li><span class="valor-css"><strong>border-box</strong></span>, desde el borde (por defecto)</li>
                        <li><span class="valor-css">padding-box</span>, desde el padding</li>
                        <li><span class="valor-css">content-box</span>, desde el contenido</li>
                    </ul>
                </li>
            </ul>
            <h3><a href="ejemplos/p22_background_clip.html" target="_blank">Ejemplos</a></h3>
            <iframe src="ejemplos/p22_background_clip.html" style="height: 200px; width: 800px;"></iframe>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background-attachment</span></h2>
            <ul class="lista">
                <li>Establece comportamiento en elementos con scroll</li>
                <li>Valores:
                    <ul>
                        <li><span class="valor-css"><strong>scroll</strong></span>, se mantiene en el fondo del control</li>
                        <li><span class="valor-css">fixed</span>, fijado al scroll del documento</li>
                    </ul>
                </li>
            </ul>
            <h3><a href="ejemplos/p22_background_attachment.html" target="_blank">Ejemplos</a></h3>
            <iframe src="ejemplos/p22_background_attachment.html" style="height: 200px; width: 800px;"></iframe>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background-origin</span></h2>
            <ul class="lista">
                <li>Establece la zona donde aparecerá el fondo</li>
                <li>Valores:
                    <ul>
                        <li><span class="valor-css">border-box</span>, desde el borde</li>
                        <li><span class="valor-css"><strong>padding-box</strong></span>, desde el padding (por defecto)</li>
                        <li><span class="valor-css">content-box</span>, desde el contenido</li>
                    </ul>
                </li>
            </ul>
            <h3><a href="ejemplos/p22_background_origin.html" target="_blank">Ejemplos</a></h3>
            <iframe src="ejemplos/p22_background_origin.html" style="height: 200px; width: 800px;"></iframe>
        </section>

        <section data-bespoke-state='clean'>
            <h2><span class="propiedad">background</span></h2>
            <ul class="lista">
                <li>Atajo para las propiedades:
                    <ul>
                        <li><span class="propiedad">background-color</span></li>
                        <li><span class="propiedad">background-image</span></li>
                        <li><span class="propiedad">background-position</span></li>
                        <li><span class="propiedad">background-size</span></li>
                        <li><span class="propiedad">background-repeat</span></li>
                        <li><span class="propiedad">background-attachment</span></li>
                        <li><span class="propiedad">background-origin</span></li>
                        <li><span class="propiedad">background-clip</span></li>
                    </ul>
                </li>
            </ul>
        </section>
    </article>


    <script src='js/slides.keys.js'></script>
    <script src='js/slides.classes.js'></script>
    <script src='js/slides.state.js'></script>
    <script src='js/slides.kernel.js'></script>
    <script src='js/slides.jump.js'></script>
    <script src='js/slides.swipe.js'></script>

    <script>
        const {
            Deck,
            classes,
            keys,
            state,
            jump,
            swipe
        } = S6;
        const deck = new Deck({
            parent: 'article',
            plugins: [classes(), keys(), state(), jump(), swipe()]
        });

        function resize(control, idContenedor) {
            var x = document.getElementById(idContenedor);
            x.style.width = control.value + "px";
        }
    </script>
</body>

</html>